<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.107
Name: [4] Kod przepisanego leku na recepcie papierowej
Description: Szablon CDa dla kodu leku przepisanego na recepcie papierowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000">
   <title>[4] Kod przepisanego leku na recepcie papierowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']"
         id="tmp-r-9be10370-61fd-42fd-b762-2aae5dc8afb3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="string(@classCode)='SBADM'">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość dla @classCode MUSI wynosić 'SBADM'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="string(@moodCode)='EVN'">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107'] | self::hl7:code[@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15' and @displayName='Kod leku przepisanego na recepcie papierowej'] | self::hl7:consumable)])">(plCdaPaperDrugPrescriptionPrescribedDrugCode): We fragmencie dokumentu zgodnym z szablonem "[4] Kod przepisanego leku na recepcie papierowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107']/@nullFlavor)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107'])&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')])&gt;=1 and not(hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')]/@nullFlavor)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')])&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:consumable)&gt;=1 ">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:consumable jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:consumable)&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:consumable występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107']
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.107']"
         id="tmp-r-85d6e64d-ac07-4a19-9882-8da4de546588">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.107'">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.107'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')]
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:code[(@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15')]"
         id="tmp-r-d918db38-e524-4f19-b866-329c2bcdec22">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="@nullFlavor or (@code='KLPRP' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.15' and @displayName='Kod leku przepisanego na recepcie papierowej')">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość elementu MUSI wynosić code 'KLPRP' codeSystem '2.16.840.1.113883.3.4424.13.5.3.15' displayName='Kod leku przepisanego na recepcie papierowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable"
         id="tmp-r-dcc4cd2d-e17e-4fbf-b772-9b38c5850e28">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaPaperDrugPrescriptionPrescribedDrugCode): We fragmencie dokumentu zgodnym z szablonem "[4] Kod przepisanego leku na recepcie papierowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:manufacturedProduct jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-8bf6a3fc-d105-44b4-b31b-73ef55dfc141">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaPaperDrugPrescriptionPrescribedDrugCode): We fragmencie dokumentu zgodnym z szablonem "[4] Kod przepisanego leku na recepcie papierowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 ">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:manufacturedMaterial jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-0766ba3a-7823-4847-81a7-aac77aae28ed">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='1.3.160'][@codeSystem='1.3.160'] | self::hl7:code[@codeSystem='1.3.88'][@codeSystem='1.3.88'])])">(plCdaPaperDrugPrescriptionPrescribedDrugCode): We fragmencie dokumentu zgodnym z szablonem "[4] Kod przepisanego leku na recepcie papierowej" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='1.3.160']|hl7:code[@codeSystem='1.3.88'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): wybór (hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='1.3.88']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): wybór (hl7:code[@codeSystem='1.3.160'] lub hl7:code[@codeSystem='1.3.88']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='1.3.160'])&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='1.3.88'])&lt;=1">(plCdaPaperDrugPrescriptionPrescribedDrugCode): element hl7:code[@codeSystem='1.3.88'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.160']"
         id="tmp-r-33128a64-029b-4b98-bb88-94323ae6e161">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160')">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość elementu MUSI wynosić codeSystem '1.3.160'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.107
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.88']
Item: (plCdaPaperDrugPrescriptionPrescribedDrugCode)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.107']/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code[@codeSystem='1.3.88']"
         id="tmp-r-1cb7c9f5-91ec-4dd6-9315-39bfa1d3b11a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.107-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.88')">(plCdaPaperDrugPrescriptionPrescribedDrugCode): Wartość elementu MUSI wynosić codeSystem '1.3.88'.</assert>
   </rule>
</pattern>
