<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.84
Name: [4] Informacja o realizacji pozycji recepty
Description: Szablon CDA dla informacji o realizacji pozycji recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000">
   <title>[4] Informacja o realizacji pozycji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.84
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]
Item: (plCdaPrescriptionEntryReferenceSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]"
         id="tmp-r-e6664f4d-5f2e-4cf0-a66c-2affb990b9be">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']/@nullFlavor)">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84'])&lt;=1">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.84
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']
Item: (plCdaPrescriptionEntryReferenceSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']"
         id="tmp-r-fee05b49-711f-4a51-b3ac-b4f7a7de1266">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="string(@classCode)='SPLY'">(plCdaPrescriptionEntryReferenceSupplyEntry): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPrescriptionEntryReferenceSupplyEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="string(@moodCode)='INT'">(plCdaPrescriptionEntryReferenceSupplyEntry): Wartość dla @moodCode MUSI wynosić 'INT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPrescriptionEntryReferenceSupplyEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84'] | self::hl7:effectiveTime)])">(plCdaPrescriptionEntryReferenceSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Informacja o realizacji pozycji recepty" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84']/@nullFlavor)">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84'])&lt;=1">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaPrescriptionEntryReferenceSupplyEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.84
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84']
Item: (plCdaPrescriptionEntryReferenceSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.84']"
         id="tmp-r-85042f7a-e94b-43c3-a957-853dd4f8c640">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionEntryReferenceSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.84'">(plCdaPrescriptionEntryReferenceSupplyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.84'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPrescriptionEntryReferenceSupplyEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.84
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']/hl7:effectiveTime
Item: (plCdaPrescriptionEntryReferenceSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.84']/hl7:effectiveTime"
         id="tmp-r-f1ac37d7-5657-44d0-855b-59c1427d71da">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.84-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionEntryReferenceSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
