<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.89
Name: [4] Dane opakowania leku recepturowego na recepcie
Description: Szablon CDA dla danych opakowania leku recepturowego na recepcie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000">
   <title>[4] Dane opakowania leku recepturowego na recepcie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']"
         id="tmp-r-6134d406-3c30-4ed2-ae0c-8621864f0c6b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']/@nullFlavor)">(plExtMagistralFormulaContainer): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:quantity)&lt;=1">(plExtMagistralFormulaContainer): element extPL:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:ingredient)&gt;=1 ">(plExtMagistralFormulaContainer): element extPL:ingredient jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:ingredient)&lt;=1">(plExtMagistralFormulaContainer): element extPL:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.89']"
         id="tmp-r-a4fab284-046e-46dd-9489-39b795f6ad5e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.89'">(plExtMagistralFormulaContainer): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.89'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtMagistralFormulaContainer): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:quantity
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:quantity"
         id="tmp-r-7c780186-47cf-4d5f-ac6d-f370e61c031a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:RTO_PQ_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient"
         id="tmp-r-e81db0f9-51bc-48a5-b33a-437cd1acea01">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND'">(plExtMagistralFormulaContainer): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plExtMagistralFormulaContainer): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@classCode)='CONT'">(plExtMagistralFormulaContainer): Wartość dla @classCode MUSI wynosić 'CONT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtMagistralFormulaContainer): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="not(./*[not(self::extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'][@codeSystem='2.16.840.1.113883.3.4424.6.3'] | self::extPL:code[@codeSystem='1.3.160'][@codeSystem='1.3.160'] | self::extPL:code[@nullFlavor='NA'][@nullFlavor='NA'] | self::extPL:name | self::extPL:desc)])">(plExtMagistralFormulaContainer): We fragmencie dokumentu zgodnym z szablonem "[4] Dane opakowania leku recepturowego na recepcie" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']|extPL:code[@codeSystem='1.3.160']|extPL:code[@nullFlavor='NA'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plExtMagistralFormulaContainer): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plExtMagistralFormulaContainer): wybór (extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] lub extPL:code[@codeSystem='1.3.160'] lub extPL:code[@nullFlavor='NA']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@codeSystem='1.3.160'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:code[@nullFlavor='NA'])&lt;=1">(plExtMagistralFormulaContainer): element extPL:code[@nullFlavor='NA'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:name)&gt;=1 ">(plExtMagistralFormulaContainer): element extPL:name jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:name)&lt;=1">(plExtMagistralFormulaContainer): element extPL:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="count(extPL:desc)&lt;=1">(plExtMagistralFormulaContainer): element extPL:desc występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='2.16.840.1.113883.3.4424.6.3']"
         id="tmp-r-51d3c47f-bb61-4409-97ec-7a9743c81d49">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.6.3')">(plExtMagistralFormulaContainer): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@codeSystem='1.3.160']"
         id="tmp-r-7bb62c98-9833-4dbe-bf0e-cb6d3e196ebc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160')">(plExtMagistralFormulaContainer): Wartość elementu MUSI wynosić codeSystem '1.3.160'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@nullFlavor='NA']
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:code[@nullFlavor='NA']"
         id="tmp-r-a7fd287a-e70c-4ec5-8999-ca8eb6e1c4ff">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="string(@nullFlavor)='NA'">(plExtMagistralFormulaContainer): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:name
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:name"
         id="tmp-r-c690d934-f645-4fab-9cbb-7038da543338">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.89
Context: *[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:desc
Item: (plExtMagistralFormulaContainer)
-->

   <rule context="*[extPL:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.89']/extPL:ingredient/extPL:desc"
         id="tmp-r-1666296b-6dac-4dce-b7b2-6a762cd70328">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.89-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtMagistralFormulaContainer): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
