<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.110
Name: [4] Referencja do dokumentu wniosku o refundację leku na import docelowy
Description: Szablon CDA danych dokumentu wniosku o refundację leku na import docelowy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000">
   <title>[4] Referencja do dokumentu wniosku o refundację leku na import docelowy</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.110
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]
Item: (plCdaImportedDrugReimbursementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]"
         id="tmp-r-99d110be-61d4-4d1d-bc74-f51a807689ea">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110'])&gt;=1 and not(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']/@nullFlavor)">(plCdaImportedDrugReimbursementDocument): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110'])&lt;=1">(plCdaImportedDrugReimbursementDocument): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.110
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']
Item: (plCdaImportedDrugReimbursementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']"
         id="tmp-r-ec3e0122-a45b-46cc-bdb7-54cc26264770">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110'] | self::hl7:id[@root='2.16.840.1.113883.3.4424.8.12' and @extension] | self::hl7:text)])">(plCdaImportedDrugReimbursementDocument): We fragmencie dokumentu zgodnym z szablonem "[4] Referencja do dokumentu wniosku o refundację leku na import docelowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110']/@nullFlavor)">(plCdaImportedDrugReimbursementDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110'])&lt;=1">(plCdaImportedDrugReimbursementDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.12'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.3.4424.8.12']/@nullFlavor)">(plCdaImportedDrugReimbursementDocument): element hl7:id[@root='2.16.840.1.113883.3.4424.8.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.12'])&lt;=1">(plCdaImportedDrugReimbursementDocument): element hl7:id[@root='2.16.840.1.113883.3.4424.8.12'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaImportedDrugReimbursementDocument): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.110
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110']
Item: (plCdaImportedDrugReimbursementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.110']"
         id="tmp-r-083ba632-4c90-4e3a-b5c1-907e9c653d1b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaImportedDrugReimbursementDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.110'">(plCdaImportedDrugReimbursementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.110'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaImportedDrugReimbursementDocument): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.110
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']/hl7:id[@root='2.16.840.1.113883.3.4424.8.12']
Item: (plCdaImportedDrugReimbursementDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.110']/hl7:id[@root='2.16.840.1.113883.3.4424.8.12']"
         id="tmp-r-88b2beb5-16b9-4df6-bd31-34bd21b9a783">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.12'">(plCdaImportedDrugReimbursementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.12'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaImportedDrugReimbursementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="@extension">(plCdaImportedDrugReimbursementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.110-2020-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaImportedDrugReimbursementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
</pattern>
