<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.85
Name: [4] Informacja od pacjenta o niewydaniu leku w innej aptece
Description: Szablon CDA dla informacji od pacjenta o niewydaniu leku w innej aptece
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000">
   <title>[4] Informacja od pacjenta o niewydaniu leku w innej aptece</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]"
         id="tmp-r-6f160dcf-3f4f-4292-bd23-29724b498ff1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85'])&lt;=1">(plCdaDrugDispensationNegation): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']"
         id="tmp-r-ac677336-f39c-48ba-83ca-06b276f40dcf">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="string(@classCode)='ACT' or not(@classCode)">(plCdaDrugDispensationNegation): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugDispensationNegation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDispensationNegation): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="string(@negationInd)='true'">(plCdaDrugDispensationNegation): Wartość dla @negationInd MUSI wynosić 'true'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaDrugDispensationNegation): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:informant/hl7:assignedEntity/hl7:id[@extension=/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id/@extension and @root=/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id/@root])&gt;0">(plCdaDrugDispensationNegation): Identyfikator osoby informującej o niewydaniu leku powinien być identyfikatorem pacjenta w dokumencie realizacji recepty.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85'] | self::hl7:code[@code='373784005' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED-CT' and @displayName='Dispensing medication'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:informant)])">(plCdaDrugDispensationNegation): We fragmencie dokumentu zgodnym z szablonem "[4] Informacja od pacjenta o niewydaniu leku w innej aptece" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85']/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85'])&lt;=1">(plCdaDrugDispensationNegation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(plCdaDrugDispensationNegation): element hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDrugDispensationNegation): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDrugDispensationNegation): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:informant)&gt;=1 and not(hl7:informant/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:informant jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:informant)&lt;=1">(plCdaDrugDispensationNegation): element hl7:informant występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85']
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.85']"
         id="tmp-r-7480ab3c-6182-4a49-8364-c50cdbfcce14">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.85'">(plCdaDrugDispensationNegation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.85'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDispensationNegation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:code[(@code='373784005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3cfefa35-6f75-4c7d-b7f8-5b625224dde0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispensationNegation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="@nullFlavor or (@code='373784005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Dispensing medication' and @codeSystemName='SNOMED-CT')">(plCdaDrugDispensationNegation): Wartość elementu MUSI wynosić code '373784005' codeSystem '2.16.840.1.113883.6.96' displayName='Dispensing medication' codeSystemName='SNOMED-CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:effectiveTime
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:effectiveTime"
         id="tmp-r-2f050044-3830-40a5-aeb3-0af8404001b1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispensationNegation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(./*[not(self::hl7:high[@value])])">(plCdaDrugDispensationNegation): We fragmencie dokumentu zgodnym z szablonem "[4] Informacja od pacjenta o niewydaniu leku w innej aptece" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:high jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDrugDispensationNegation): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:effectiveTime/hl7:high
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:effectiveTime/hl7:high"
         id="tmp-r-eb47af86-b3b4-4a90-9a79-2eb58b56d794">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispensationNegation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="@value">(plCdaDrugDispensationNegation): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDrugDispensationNegation): Atrybut @value MUSI być typu 'ts'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant"
         id="tmp-r-bcc0824b-83ec-4798-a310-2f906faa3e20">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(./*[not(self::hl7:assignedEntity)])">(plCdaDrugDispensationNegation): We fragmencie dokumentu zgodnym z szablonem "[4] Informacja od pacjenta o niewydaniu leku w innej aptece" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:assignedEntity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(plCdaDrugDispensationNegation): element hl7:assignedEntity występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant/hl7:assignedEntity
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant/hl7:assignedEntity"
         id="tmp-r-9c2c0a88-b3ff-40fb-81d9-f1a9d4db4f14">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="not(./*[not(self::hl7:id)])">(plCdaDrugDispensationNegation): We fragmencie dokumentu zgodnym z szablonem "[4] Informacja od pacjenta o niewydaniu leku w innej aptece" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaDrugDispensationNegation): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaDrugDispensationNegation): element hl7:id występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.85
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant/hl7:assignedEntity/hl7:id
Item: (plCdaDrugDispensationNegation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.85']/hl7:informant/hl7:assignedEntity/hl7:id"
         id="tmp-r-a98326cc-a94f-47d2-be6f-4b20f1dcb688">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.85-2018-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispensationNegation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
